### Method

# RB RhythmDB query_is_time_relative

#### Declaration [src]

    gboolean
    rhythmdb_query_is_time_relative (
      RhythmDB* db,
      RhythmDBQuery* query
    )

#### Description [src]

Checks if a query contains any time-relative criteria.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  The query to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if time-relative criteria found.